Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 558724 - F-12 2.6.32.5 + latest F-12xorg bits crash on Radeon X1950 Pro
Summary: F-12 2.6.32.5 + latest F-12xorg bits crash on Radeon X1950 Pro
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-26 08:54 UTC by Hans de Goede
Modified: 2018-04-11 08:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 07:11:40 UTC


Attachments (Terms of Use)
log file of the crash (deleted)
2010-01-26 08:54 UTC, Hans de Goede
no flags Details

Description Hans de Goede 2010-01-26 08:54:40 UTC
Created attachment 386772 [details]
log file of the crash

Running:
2.6.32.5-32.fc12.x86_64

With these xorg bits:
libdrm-2.4.17-1.fc12.i686.rpm
libdrm-2.4.17-1.fc12.x86_64.rpm
libdrm-devel-2.4.17-1.fc12.x86_64.rpm
mesa-dri-drivers-7.7-2.fc12.i686.rpm
mesa-dri-drivers-7.7-2.fc12.x86_64.rpm
mesa-libGL-7.7-2.fc12.i686.rpm
mesa-libGL-7.7-2.fc12.x86_64.rpm
mesa-libGL-devel-7.7-2.fc12.x86_64.rpm
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.x86_64.rpm
xorg-x11-drv-ati-firmware-6.13.0-0.20.20091221git4b05c47ac.fc12.x86_64.rpm
xorg-x11-server-Xorg-1.7.4-4.fc12.x86_64.rpm
xorg-x11-server-common-1.7.4-4.fc12.x86_64.rpm

Leads to a segfault when starting the server, see the attached log.

Comment 1 Hans de Goede 2010-01-26 08:56:08 UTC
Note upgrading the above listed xorg "bits" to their rawhide version fixes this.

Comment 2 Hans de Goede 2010-01-26 09:41:04 UTC
Here is some info for the record from a debugging session with airlied:

<hansg> Program received signal SIGSEGV, Segmentation fault.
<hansg> dixAllocatePrivate (privates=0x290, key=0x7d8d54) at privates.c:117
<hansg> 117     if (!*privates) {
<hansg> (gdb) bt
<hansg> #0  dixAllocatePrivate (privates=0x290, key=0x7d8d54) at privates.c:117
<hansg> #1  0x0000000000445f45 in dixLookupPrivate (privates=<value optimized out>, 
<hansg>     key=<value optimized out>) at privates.c:165
<hansg> #2  0x0000000000481897 in xf86OutputSetEDID (output=0x24c6ae0, 
<hansg>     edid_mon=0x24c81d0) at xf86Crtc.c:2923
<hansg> #3  0x00007f106eb41351 in drmmode_output_get_modes (output=0x24c6ae0)
<hansg>     at drmmode_display.c:600
<hansg> #4  0x0000000000484346 in xf86ProbeOutputModes (scrn=0x24c0130, 
<hansg>     maxX=<value optimized out>, maxY=<value optimized out>) at xf86Crtc.c:1587
<hansg> #5  0x0000000000484d2c in xf86InitialConfiguration (scrn=0x24c0130, 
<hansg>     canGrow=<value optimized out>) at xf86Crtc.c:2373
<hansg> #6  0x00007f106eb41eb1 in drmmode_pre_init (pScrn=<value optimized out>, 
<hansg>     drmmode=<value optimized out>, busId=<value optimized out>, 
<hansg>     driver_name=<value optimized out>, cpp=<value optimized out>, 
<hansg>     zaphod_mask=<value optimized out>) at drmmode_display.c:1225
<hansg> #7  0x00007f106eb3faa7 in RADEONPreInit_KMS (pScrn=0x24c0130, 
<hansg>     flags=<value optimized out>) at radeon_kms.c:445
<hansg> #8  0x000000000046fcb2 in InitOutput (pScreenInfo=<value optimized out>, 
<hansg>     argc=<value optimized out>, argv=<value optimized out>) at xf86Init.c:829
<hansg> #9  0x0000000000421c5a in main (argc=<value optimized out>, 
<airlied> can you list in frame 2
<hansg> (gdb) fr 2
<hansg> #2  0x0000000000481897 in xf86OutputSetEDID (output=0x24c6ae0, 
<hansg>     edid_mon=0x24c81d0) at xf86Crtc.c:2923
<hansg> 2923     rrScrPrivPtr        rrScrPriv = rrGetScrPriv(scrn->pScreen);
<hansg> (gdb) list
<hansg> 2918 xf86OutputSetEDID (xf86OutputPtr output, xf86MonPtr edid_mon)
<hansg> 2919 {
<hansg> 2920     ScrnInfoPtr  scrn = output->scrn;
<hansg> 2921     xf86CrtcConfigPtr config = XF86_CRTC_CONFIG_PTR(scrn);
<hansg> 2922     int   i;
<hansg> 2923     rrScrPrivPtr        rrScrPriv = rrGetScrPriv(scrn->pScreen);
<hansg> 2924 #ifdef RANDR_12_INTERFACE
<hansg> 2925     int   size;
<hansg> 2926 #endif
<hansg> 2927

Comment 3 Milan Kerslager 2010-02-02 18:32:35 UTC
Seems to be similar to bug #557805. Try use "nomodeset" kernel argument on Grub (or radeon.modeset=0).

Comment 4 Hans de Goede 2010-02-22 14:01:46 UTC
I should mention here, that this was worked around by Airlied by reversing ajax'
xserver-1.7.4-randr-unify-primary-compat.patch (in xserver 1.7.4-4

Which later got re-enabled by ajax in 1.7.4-7, I cannot confirm if ajax' fixed
patch is ok, as I'm running rawhide now. I can report that rawhide still does not show this issue.

Comment 5 Matěj Cepl 2010-05-28 09:14:50 UTC
*** Bug 597063 has been marked as a duplicate of this bug. ***

Comment 6 Bug Zapper 2010-11-03 23:53:39 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Hans de Goede 2010-11-04 07:11:40 UTC
This bug has long been fixed, but accidentally left open, closing.


Note You need to log in before you can comment on or make changes to this bug.